#include <bits/stdc++.h>
using namespace std;

long long n, p[100002][2];
long long ans, sum_x, sum_y, sqx, sqy, k1, k2;

int main () {
ios_base::sync_with_stdio(false);
cin.tie(0); cout.tie(0);

cin >> n;

for (int i=0; i < n; i++) {
    cin >> p[i][0] >> p[i][1];
    sqx += p[i][0]*p[i][0];
    sqy += p[i][1]*p[i][1];
    sum_x += p[i][0];
    sum_y += p[i][1];
}

k1 = (n*sqx - sum_x*sum_x);
k2 = (n*sqy - sum_y*sum_y);
ans = k1 + k2;

cout << ans << endl;

return 0;
}